Summary: Synchronizes system time using the Network Time Protocol (NTP).
Name: xntp3
Version: 5.93
Release: 7mdk
Copyright: distributable
Group: System/Servers
Source0: ftp://ftp.udel.edu/pub/ntp/xntp3-%{version}.tar.bz2
Source1: ntp.conf
Source2: ntp.keys
Source3: xntpd.rc
Patch0: xntp3-5.93a.diff.bz2
Patch1: xntp3-5.93b.diff.bz2
Patch2: xntp3-5.93c.diff.bz2
Patch3: xntp3-5.93d.diff.bz2
Patch4: xntp3-5.93e.diff.bz2
Patch10: xntp3-5.93-maxtc.patch.bz2
URL: http://www.cis.udel.edu/~ntp
BuildRoot: /var/tmp/%{name}-root

%description
The Network Time Protocol (NTP) is used to synchronize a computer's time
with another reference time source.  The xntp3 package contains utilities
and daemons which will synchronize your computer's time to Coordinated
Universal Time (UTC) via the NTP protocol and NTP servers.  Xntp3 includes
ntpdate (a program for retrieving the date and time from remote machines
via a network) and xntpd (a daemon which continuously adjusts system time).

Install the xntp3 package if you need tools for keeping your system's
time synchronized via the NTP protocol.

%prep 
%setup -q -n xntp3-%{version}
%patch0 -p1 -b .pata
%patch1 -p1 -b .patb
%patch2 -p1 -b .patc
%patch3 -p1 -b .patd
%patch4 -p1 -b .pate

%patch10 -p1 -b .maxtc

%build

%ifnarch i386 i486 i586 i686 k6 k7
%configure --sysconfdir=/etc --bindir='${prefix}/sbin'
%else
CFLAGS="$RPM_OPT_FLAGS" ./configure --sysconfdir=/etc --bindir='${prefix}/sbin'
%endif

make

%install
rm -rf $RPM_BUILD_ROOT

make install prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc

mkdir -p $RPM_BUILD_ROOT/etc/{ntp,rc.d/init.d}
install -m644 $RPM_SOURCE_DIR/ntp.conf $RPM_BUILD_ROOT/etc/ntp.conf
install -m600 $RPM_SOURCE_DIR/ntp.keys $RPM_BUILD_ROOT/etc/ntp/keys
touch $RPM_BUILD_ROOT/etc/ntp/step-tickers
install -m755 $RPM_SOURCE_DIR/xntpd.rc $RPM_BUILD_ROOT/etc/rc.d/init.d/xntpd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/ntp.conf
%config /etc/ntp/keys
%ghost %config(missingok) /etc/ntp/step-tickers
%doc html/* NEWS TODO 
/usr/sbin/*
/etc/rc.d/init.d/xntpd

%changelog
* Sat Apr 08 2000 John Buswell <johnb@mandrakesoft.com> 5.93-7mdk
- fixed vendor tag

* Thu Mar 30 2000 John Buswell <johnb@mandrakesoft.com> 5.93-6mdk
- Fixed group
- spec-helper

* Tue Jan 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.93-5mdk
- Don't use a %_configure on x86.

* Thu Jan 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.93-5mdk
- libtoolizifations.

* Sat Nov 06 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Wed Apr 14 1999 Cristian Gafton <gafton@redhat.com>
- disallow remote updates by default in ntp.conf (#2170)

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- use %configure
- fix initscript not to sit out the output of ntpdate (use syslog instead)
- eliminate subshell from the install stage

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Sun Nov 22 1998 Jeff Johnson <jbj@redhat.com>
- ntp.conf: default local clock stratum to 10.

* Wed Oct 21 1998 Jeff Johnson <jbj@redhat.com>
- update to 5.93e.

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries

* Thu Aug  6 1998 Jeff Johnson <jbj@redhat.com>
- update to 5.93c.
- implement suggestions from James Youngman <JYoungman@vggas.com>:
-   correct default /etc/ntp/keys 
-   use /etc/ntp/step-tickers for ntpdate hosts

* Sun May 10 1998 Cristian Gafton <gafton@redhat.com>
- start it after named

* Mon May 04 1998 Jeff Johnson <jbj@redhat.com>
- Update to 5.93.

* Mon Feb  2 1998 Jeff Johnson <jbj@jbj.org>
- Fiddles for RH-5.0. Update to xntp3-5.92.

* Mon Feb  2 1998 Jeff Johnson <jbj@jbj.org>
- Fiddles for RH-5.0. Update to xntp3-5.92.

* Sat Oct 18 1997 Manoj Kasichainula <manojk@io.com>
- Initial release for 5.91
